Import of ast-ksh 2001-07-04.0000.

Official AT&T release of KornShell 93.  KSH-93 is the most recent
version of the KornShell Language described in "The KornShell Command
and Programming Language," by Morris Bolsky and David Korn of AT&T
Bell Laboratories.
This commit is contained in:
naddy 2001-07-12 19:17:24 +00:00
parent 0ee577796d
commit 9f0991ea4f
9 changed files with 212 additions and 0 deletions

48
shells/ast-ksh/Makefile Normal file
View File

@ -0,0 +1,48 @@
# $OpenBSD: Makefile,v 1.1.1.1 2001/07/12 19:17:24 naddy Exp $
COMMENT= "official AT&T release of KornShell 93"
PKGNAME= ast-ksh-${VERSION:S/-//g}
VERSION= 2001-07-04.0000
CATEGORIES= shells
NEED_VERSION= 1.419
HOMEPAGE= http://www.kornshell.com/
MAINTAINER= Christian Weisgerber <naddy@openbsd.org>
PERMIT_PACKAGE_CDROM= Yes
PERMIT_PACKAGE_FTP= Yes
PERMIT_DISTFILES_CDROM= No
PERMIT_DISTFILES_FTP= No
MASTER_SITES= http://www.research.att.com/~gsf/download/tgz/
DISTFILES= INIT.${VERSION}.tgz ast-ksh.${VERSION}.tgz
FLAVORS= static
FLAVOR?=
MAKE_FLAGS= CC='${CC}' CCFLAGS='${CFLAGS}'
.if ${FLAVOR:L} == "static"
MAKE_FLAGS+= LDFLAGS=-static
.endif
WRKDIST= ${WRKDIR}
ACCEPT_AST_LICENSE?= No
.if ${ACCEPT_AST_LICENSE:L} == "no"
IS_INTERACTIVE= Yes
.else
post-patch:
@touch ${WRKSRC}/lib/package/gen/ast.license.accepted
.endif
do-build:
cd ${WRKBUILD} && ./bin/package make ${MAKE_FLAGS}
do-install:
${INSTALL_PROGRAM} ${WRKBUILD}/arch/openbsd.${ARCH}/bin/ksh \
${PREFIX}/bin/ksh93
${INSTALL_MAN} ${WRKBUILD}/arch/openbsd.${ARCH}/man/man1/sh.1 \
${PREFIX}/man/man1/ksh93.1
.include <bsd.port.mk>

6
shells/ast-ksh/files/md5 Normal file
View File

@ -0,0 +1,6 @@
MD5 (INIT.2001-07-04.0000.tgz) = 5cb81cd79b6c4ffbd3249550541afa52
MD5 (ast-ksh.2001-07-04.0000.tgz) = 95c4d371f2c144759aad029f20717481
RMD160 (INIT.2001-07-04.0000.tgz) = aa921e49c8f56bc794cbc941662e153598039bdf
RMD160 (ast-ksh.2001-07-04.0000.tgz) = 2da1d6e7de0df3e5aa866581656a685ac66a052a
SHA1 (INIT.2001-07-04.0000.tgz) = 42246cf21b9f30e8a4656fc7a2d01720295474da
SHA1 (ast-ksh.2001-07-04.0000.tgz) = d880d3b5d83f03a176ced8d94ad078eb43c1ea89

View File

@ -0,0 +1,12 @@
$OpenBSD: patch-bin_package,v 1.1.1.1 2001/07/12 19:17:24 naddy Exp $
--- bin/package.orig Tue Jul 10 16:47:25 2001
+++ bin/package Tue Jul 10 16:47:34 2001
@@ -12,7 +12,7 @@ version=2001-06-20
src="cmd contrib etc lib"
use="/home /usr/common /exp /usr/local /usr/add-on /usr/addon /usr/tools /usr /opt"
-lib="/usr/local/lib /usr/local/shlib"
+lib=""
ccs="/usr/kvm /usr/ccs/bin"
org="gnu GNU"
makefiles="Mamfile Nmakefile nmakefile Makefile makefile"

View File

@ -0,0 +1,12 @@
$OpenBSD: patch-src_cmd_ksh93_sh_1,v 1.1.1.1 2001/07/12 19:17:24 naddy Exp $
--- src/cmd/ksh93/sh.1.orig Thu Apr 27 20:42:50 2000
+++ src/cmd/ksh93/sh.1 Sun Feb 18 03:36:06 2001
@@ -4,7 +4,7 @@
.\"
.\" @(#)sh.1 (research!dgk) 12/28/93
.\"
-.nr Z 0 \" set to 1 when command name is ksh rather than sh
+.nr Z 1 \" set to 1 when command name is ksh rather than sh
.nr Y 0 \" set to 1 for R&D UNIX
.if \nY=1 .nr Z 1
.ds OK [\|

View File

@ -0,0 +1,48 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.1.1.1 2001/07/12 19:17:24 naddy Exp $
#
# ksh93 de-installation
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to edit"
echo "| /etc/shells and remove this line:"
echo "|"
echo "| $PREFIX/bin/ksh93"
echo "|"
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if grep -q $PREFIX/bin/ksh93 /etc/shells; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

13
shells/ast-ksh/pkg/DESCR Normal file
View File

@ -0,0 +1,13 @@
KSH-93 is the most recent version of the KornShell Language described
in "The KornShell Command and Programming Language," by Morris
Bolsky and David Korn of AT&T Bell Laboratories. The KornShell is
a shell programming language, which is upward compatible with "sh"
(the Bourne Shell), and is intended to conform to the IEEE P1003.2/ISO
9945.2 Shell and Utilities standard. KSH-93 provides an enhanced
programming environment in addition to the major command-entry
features of the BSD shell "csh". With KSH-93, medium-sized programming
tasks can be performed at shell-level without a significant loss
in performance. In addition, "sh" scripts can be run on KSH-93
without modification.
WWW: ${HOMEPAGE}

View File

@ -0,0 +1,52 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1.1.1 2001/07/12 19:17:24 naddy Exp $
#
# Pre/post-installation setup of ksh93
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
# Function: tell the user what s/he needs to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| For proper use of $1 you should notify the system"
echo "| that $PREFIX/bin/ksh93 is a valid shell by adding it to the"
echo "| the file /etc/shells. If you are unfamiliar with this file"
echo "| consult the shells(5) manual page"
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if grep -q $PREFIX/bin/ksh93 /etc/shells; then
:
else
do_notice $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -0,0 +1,18 @@
This product contains certain software code or other information
("AT&T Software") proprietary to AT&T Corp. ("AT&T"). The AT&T
Software is provided to you "AS IS". YOU ASSUME TOTAL RESPONSIBILITY
AND RISK FOR USE OF THE AT&T SOFTWARE. AT&T DOES NOT MAKE, AND
EXPRESSLY DISCLAIMS, ANY EXPRESS OR IMPLIED WARRANTIES OF ANY KIND
WHATSOEVER, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES
OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, WARRANTIES
OF TITLE OR NON-INFRINGEMENT OF ANY INTELLECTUAL PROPERTY RIGHTS,
ANY WARRANTIES ARISING BY USAGE OF TRADE, COURSE OF DEALING OR
COURSE OF PERFORMANCE, OR ANY WARRANTY THAT THE AT&T SOFTWARE IS
"ERROR FREE" OR WILL MEET YOUR REQUIREMENTS.
Unless you accept a license to use the AT&T Software, you shall not
reverse compile, disassemble or otherwise reverse engineer this
product to ascertain the source code for any AT&T Software.
(c) AT&T Corp. All rights reserved. AT&T is a registered trademark
of AT&T Corp.

3
shells/ast-ksh/pkg/PLIST Normal file
View File

@ -0,0 +1,3 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2001/07/12 19:17:24 naddy Exp $
bin/ksh93
man/man1/ksh93.1